English

Problem: Unable to connect to the PostgreSQL database after ArcGIS for Desktop is upgraded

Description

ArcMap or ArcCatalog are unable to establish a connection to the PostgreSQL database after ArcGIS 10.1 is upgraded to ArcGIS 10.2.x.

Cause

The error occurs due to missing PostgreSQL client libraries which are required by ArcGIS to connect to the PostgreSQL database. These files are located in the ArcGIS bin folder, and may have been deleted or replaced with an incorrect version when upgrading ArcGIS 10.1 to 10.2.

Solution or Workaround

Download the PostgreSQL client libraries from the My Esri Portal and paste them in the ArcGIS for Desktop bin folder.

  1. Log in to the My Esri Portal.

  2. Download the correct PostgreSQL client library files according to the version of ArcGIS installed. The following is a list of files that are included in the downloaded package:

    libeay32.dll
    libiconv-2.dll
    libintl-8.dll
    libpq.dll
    ssleay32.dll



  3. Copy and paste all the PostgreSQL client library files into the ArcGIS for Desktop bin folder in the following location:

    C:\Program Files (x86)\ArcGIS\Desktop10.2\bin

  4. Test the connection.

Related Information